package com.rjconsultores.ventaboletos.service.impl;

import java.util.Calendar;
import java.util.List;

import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import org.springframework.transaction.annotation.Transactional;

import com.rjconsultores.ventaboletos.dao.AsistenciaDeViajeEmpresaDAO;
import com.rjconsultores.ventaboletos.entidad.AsistenciaDeViajeEmpresa;
import com.rjconsultores.ventaboletos.entidad.Empresa;
import com.rjconsultores.ventaboletos.service.AsistenciaDeViajeEmpresaService;
import com.rjconsultores.ventaboletos.utilerias.UsuarioLogado;

@Service("asistenciaDeViajeEmpresaService")
public class AsistenciaDeViajeEmpresaServiceImpl implements AsistenciaDeViajeEmpresaService {

	@Autowired
	private AsistenciaDeViajeEmpresaDAO asistenciaDeViajeEmpresaDAO;

	public List<AsistenciaDeViajeEmpresa> obtenerTodos() {
		return asistenciaDeViajeEmpresaDAO.obtenerTodos();
	}

	public AsistenciaDeViajeEmpresa obtenerID(Integer id) {
		return asistenciaDeViajeEmpresaDAO.obtenerID(id);
	}

	public boolean existe(Empresa empresa) {
		return asistenciaDeViajeEmpresaDAO.existe(empresa);
	}

	@Transactional
	public AsistenciaDeViajeEmpresa suscribir(AsistenciaDeViajeEmpresa entidad) {
		entidad.setUsuarioId(UsuarioLogado.getUsuarioLogado().getUsuarioId());
		entidad.setFecmodif(Calendar.getInstance().getTime());
		entidad.setActivo(Boolean.TRUE);

		return asistenciaDeViajeEmpresaDAO.suscribir(entidad);
	}

	@Transactional
	public AsistenciaDeViajeEmpresa actualizacion(AsistenciaDeViajeEmpresa entidad) {
		return asistenciaDeViajeEmpresaDAO.actualizacion(entidad);
	}

	@Transactional
	public void borrar(AsistenciaDeViajeEmpresa entidad) {
		entidad.setUsuarioId(UsuarioLogado.getUsuarioLogado().getUsuarioId());
		entidad.setFecmodif(Calendar.getInstance().getTime());
		entidad.setActivo(Boolean.FALSE);

		asistenciaDeViajeEmpresaDAO.borrar(entidad);
	}
}
